Package org.springframework.core.task.support

# Class CompositeTaskDecorator

java.lang.Object
org.springframework.core.task.support.CompositeTaskDecorator

All Implemented Interfaces:
  `TaskDecorator`

public class CompositeTaskDecorator extends Object implements TaskDecorator
Composite `TaskDecorator` that delegates to other task decorators.

Since:
  6.1
Author:
  Tadaya Tsuyukubo

## Constructor Summary

Constructors
Constructor
Description
`CompositeTaskDecorator(Collection<? extends TaskDecorator> taskDecorators)`
Create a new instance.

## Method Summary

Modifier and Type
Method
Description
`Runnable`
`decorate(Runnable runnable)`
Decorate the given `Runnable`, returning a potentially wrapped `Runnable` for actual execution, internally delegating to the original `Runnable.run()` implementation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CompositeTaskDecorator

public CompositeTaskDecorator(Collection<? extends TaskDecorator> taskDecorators)
Create a new instance.

Parameters:
  `taskDecorators` - the taskDecorators to delegate to

## Method Details

### decorate

public Runnable decorate(Runnable runnable)
Description copied from interface: `TaskDecorator`
Decorate the given `Runnable`, returning a potentially wrapped `Runnable` for actual execution, internally delegating to the original `Runnable.run()` implementation.

Specified by:
  `decorate` in interface `TaskDecorator`
Parameters:
  `runnable` - the original `Runnable`
Returns:
  the decorated `Runnable`